import { PropType } from 'vue';
import { Actions, JsonSchema, UISchemaElement, ValidationMode, JsonFormsCore, JsonFormsUISchemaRegistryEntry, JsonFormsRendererRegistryEntry, JsonFormsCellRendererRegistryEntry } from '@jsonforms/core';
import { Ajv } from 'ajv';
import RefParser from 'json-schema-ref-parser';
declare const _default: import("vue").DefineComponent<{
    data: {
        required: true;
        type: PropType<any>;
    };
    schema: {
        required: false;
        type: PropType<JsonSchema>;
        default: undefined;
    };
    uischema: {
        required: false;
        type: PropType<UISchemaElement>;
        default: undefined;
    };
    renderers: {
        required: true;
        type: PropType<JsonFormsRendererRegistryEntry[]>;
    };
    cells: {
        required: false;
        type: PropType<JsonFormsCellRendererRegistryEntry[]>;
        default: () => never[];
    };
    config: {
        required: false;
        type: PropType<any>;
        default: undefined;
    };
    readonly: {
        required: false;
        type: BooleanConstructor;
        default: boolean;
    };
    uischemas: {
        required: false;
        type: PropType<JsonFormsUISchemaRegistryEntry[]>;
        default: () => never[];
    };
    validationMode: {
        required: false;
        type: PropType<ValidationMode>;
        default: string;
    };
    ajv: {
        required: false;
        type: PropType<Ajv>;
        default: undefined;
    };
    refParserOptions: {
        required: false;
        type: PropType<RefParser.Options>;
        default: undefined;
    };
}, unknown, {
    schemaToUse: JsonSchema;
    uischemaToUse: UISchemaElement;
    jsonforms: {
        core: JsonFormsCore;
        config: any;
        renderers: JsonFormsRendererRegistryEntry[];
        cells: JsonFormsCellRendererRegistryEntry[];
        uischemas: JsonFormsUISchemaRegistryEntry[];
        readonly: boolean;
    };
}, {
    coreDataToUpdate(): any;
    eventToEmit(): Pick<JsonFormsCore, "data" | "errors">;
}, {
    dispatch(action: Actions.CoreActions): void;
}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "change"[], "change", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    data: unknown;
    schema: JsonSchema;
    uischema: UISchemaElement;
    renderers: JsonFormsRendererRegistryEntry[];
    cells: JsonFormsCellRendererRegistryEntry[];
    config: undefined;
    readonly: boolean;
    uischemas: JsonFormsUISchemaRegistryEntry[];
    validationMode: ValidationMode;
    ajv: Ajv;
    refParserOptions: RefParser.Options;
} & {}>, {
    schema: JsonSchema;
    uischema: UISchemaElement;
    cells: JsonFormsCellRendererRegistryEntry[];
    config: undefined;
    readonly: boolean;
    uischemas: JsonFormsUISchemaRegistryEntry[];
    validationMode: ValidationMode;
    ajv: Ajv;
    refParserOptions: RefParser.Options;
}>;
export default _default;
